#!/usr/bin/env python
"""
 Launch coloring book.
"""
import getopt, globals, lang, sys

try:
	import psyco
	psyco.full ()
except ImportError:
	pass

if sys.version_info < ( 2, 3 ):
	sys.exit ( lang.upgrade_python )

def help ():
	sys.exit ( lang.help )

def about ():
	sys.exit ( lang.about )

def parse_args ():
	try:
		opts, pargs = getopt.getopt ( sys.argv[1:], 'ab:f:hl:sSt:', [ 'about', 'book=', 'fps=', 'help', 'lang=', 'sound=', 'theme=' ] )
	except getopt.GetoptError:
		help ()

	if opts:
		for opt in opts:
			key, value = opt
		if key in [ '-h', '--help' ]:
			help ()
		if key in [ '-a', '--about' ]:
			about ()
		elif key in [ '-S' ]:
			globals.sound = True
		elif key in [ '-s' ]:
			globals.sound = False
		elif key in [ '--sound' ] and value.lower () == 'on':
			globals.sound = True
		elif key in [ '--sound' ] and value.lower () == 'off':
			globals.sound = False
		elif key in [ '-b', '--book' ]:
			globals.book = value.lower ()
		elif key in [ '-t', '--theme' ]:
			globals.theme = value.lower ()
		elif key in [ '-f', '--fps' ]:
			globals.fps = int ( value )
		elif key in [ '-l', '--lang' ]:
			globals.lang = value.lower ()

if __name__ == '__main__':
	try:
		parse_args ()
		import main
		CB = main.UI ()
		CB.main ()
	except KeyboardInterrupt:
		pass
