#!/usr/bin/env python

import os, sys

def personal_directory ( default = None ):
	pdir = None
	if sys.platform.startswith ( 'win' ):
		import _winreg
		reg = _winreg.ConnectRegistry ( None, _winreg.HKEY_CURRENT_USER )
		pkey = _winreg.OpenKey ( reg, r"Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders" )
		pdir = _winreg.QueryValueEx ( pkey, 'Personal' )[0]
		_winreg.CloseKey ( pkey )
		_winreg.CloseKey ( reg )
	else:
		pdir = os.getenv ( 'HOME' )
	if not pdir:
		pdir = default
	return pdir
