"""
 Image related functions.
"""

from locals import *

def lower_surface ( surface ):
	w, h = surface.get_size ()
	w = w - 1
	h = h - 1
	pygame.draw.line ( surface, DARK_EDGE_COLOR, ( 0, 0 ), ( w, 0 ) )
	pygame.draw.line ( surface, DARK_EDGE_COLOR, ( 0, 0 ), ( 0, w ) )
	pygame.draw.line ( surface, LIGHT_EDGE_COLOR, ( 0, h ), ( w, h ) )
	pygame.draw.line ( surface, LIGHT_EDGE_COLOR, ( w, 0 ), ( w, h ) )
	return surface

def raise_surface ( surface ):
	w, h = surface.get_size ()
	w = w - 1
	h = h - 1
	pygame.draw.line ( surface, LIGHT_EDGE_COLOR, ( 0, 0 ), ( w, 0 ) )
	pygame.draw.line ( surface, LIGHT_EDGE_COLOR, ( 0, 0 ), ( 0, w ) )
	pygame.draw.line ( surface, DARK_EDGE_COLOR, ( 0, h ), ( w, h ) )
	pygame.draw.line ( surface, DARK_EDGE_COLOR, ( w, 0 ), ( w, h ) )
	return surface

def load_image ( path, mask = None ):
	image = pygame.image.load ( path ).convert ()
	if mask:
		image.set_colorkey ( mask )
	return image

class set ( list ):
	def __init__ ( self, *images ):
		list.__init__ ( self )
		self.extend ( images )
		self.i = 0

	def get ( self ):
		return self[self.i]

	def get_i ( self ):
		return self.i

	def prev ( self, rotate = True ):
		if self.i == 0:
			if rotate:
				self.i = len ( self ) - 1
		else:
			self.i = self.i - 1
		return self[self.i]

	def next ( self, rotate = True ):
		if self.i == len ( self ) - 1:
			if rotate:
				self.i = 0
		else:
			self.i = self.i + 1
		return self[self.i]

	def set ( self, i, rotate = True ):
		if i < 0:
			if rotate:
				self.i = len ( self ) - 1
			else:
				self.i = 0
		elif i > len ( self ) - 1:
			if rotate:
				self.i = 0
			else:
				self.i = len ( self ) - 1
		else:
			self.i = i
		return self[self.i]
