"""
 UI module of coloring book.

 Sets up main loop and processes events.
"""

import coloring_book, globals, lang, pygame, sounds, sys, time
from locals import *

class UI:
	def __init__ ( self ):
		pygame.init ()
		pygame.display.set_caption ( lang.display_caption )
		pygame.mouse.set_visible ( False )
		self.screen = pygame.display.set_mode ( DISPLAY_SIZE )
		self.clock = pygame.time.Clock ()
		self.cb = coloring_book.book ()
		self.groups = []

	def main ( self ):
		sounds.play_sound ( sounds.load_sound ( START_SOUND ) )
		pygame.event.set_allowed ( None )
		pygame.event.set_allowed ( [ INIT, QUIT, KEYDOWN, MOUSEBUTTONDOWN, MOUSEMOTION ] )
		event = pygame.event.Event ( INIT )
		while True:
			self.clock.tick ( globals.fps )
#			print self.clock.get_fps ()
			self.iput ( event )
			self.game ( event )
			self.oput ( event )
			event = pygame.event.poll ()

	def oput ( self, event ):
		if self.groups:
			self.groups.pop ( 0 ).draw ( self.screen )
			if not self.groups:
				pygame.display.update ()
		else:
			groups = self.cb.draw ()
			if groups:
				self.groups = groups[:]

	def iput ( self, event ):
		if event.type is MOUSEMOTION:
			self.cb.check_cursor ( event.pos, event.buttons )
		elif event.type is MOUSEBUTTONDOWN:
			self.cb.check_click ( event.pos )
		elif event.type is KEYDOWN:
			if event.key == K_ESCAPE:
				pygame.event.post ( pygame.event.Event ( QUIT ) )

	def game ( self, event ):
		if event.type is QUIT:
			sounds.play_sound ( sounds.load_sound ( QUIT_SOUND ) )
			time.sleep ( 2 )
			sys.exit ()
