"""
 Theme constants.
"""

import globals, os, theme

FONT_PATH = os.path.join ( THEME_PATH, 'fonts' )
SOUND_PATH = os.path.join ( THEME_PATH, 'sounds' )
IMAGE_PATH = os.path.join ( THEME_PATH, 'images' )

FONT_FACE = os.path.join ( FONT_PATH, 'freesansbold.ttf' )
FONT_SIZE = 20

START_SOUND = os.path.join ( SOUND_PATH, 'start.wav' )
QUIT_SOUND = os.path.join ( SOUND_PATH, 'quit.wav' )
COLORS_SOUND = os.path.join ( SOUND_PATH, 'color_picker.wav' )
ARROWS_SOUND = os.path.join ( SOUND_PATH, 'arrows.wav' )
SNAPSHOT_SOUND = os.path.join ( SOUND_PATH, 'save.wav' )
UNDO_SOUND = os.path.join ( SOUND_PATH, 'undo.wav' )
TOOL_SOUND = os.path.join ( SOUND_PATH, 'tool_selection.wav' )
PAINTING_SOUND = os.path.join ( SOUND_PATH, 'painting.wav' )
DRAWING_SOUND = os.path.join ( SOUND_PATH, 'drawing.wav' )

COLORS_IMAGE = os.path.join ( IMAGE_PATH, 'colors.png' )
ARROWS_IMAGE = os.path.join ( IMAGE_PATH, 'arrows.png' )
ARROWS_HIGHLIGHT_IMAGE = os.path.join ( IMAGE_PATH, 'arrows-highlight.png' )
SNAPSHOT_IMAGE = os.path.join ( IMAGE_PATH, 'snapshot.png' )
SNAPSHOT_HIGHLIGHT_IMAGE = os.path.join ( IMAGE_PATH, 'snapshot-highlight.png' )
UNDO_IMAGE = os.path.join ( IMAGE_PATH, 'undo.png' )
UNDO_HIGHLIGHT_IMAGE = os.path.join ( IMAGE_PATH, 'undo-highlight.png' )
TOOL_IMAGE = os.path.join ( IMAGE_PATH, 'tool.png' )
TOOL_HIGHLIGHT_IMAGE = os.path.join ( IMAGE_PATH, 'tool-highlight.png' )
CURSOR_IMAGE = os.path.join ( IMAGE_PATH, 'cursor.png' )
PAD_CURSOR_IMAGE = os.path.join ( IMAGE_PATH, 'cursor-pad.png' )

FONT_COLOR = ( 0, 0, 255, 255 )
OUTLINE_COLOR = ( 255, 255, 255, 255 )
BACKGROUND_COLOR = ( 255, 255, 255, 255 )
CHROME_COLOR = ( 255, 32, 32, 255 )
LIGHT_EDGE_COLOR = ( 255, 255, 255, 255 )
DARK_EDGE_COLOR = ( 0, 0, 0, 255 )
